package OSOP;

import java.io.BufferedWriter;
import java.io.File;
import java.io.FileOutputStream;
import java.io.OutputStreamWriter;
import java.text.SimpleDateFormat;
import java.util.Date;

import org.eclipse.core.internal.runtime.InternalPlatform;

public class Log {
	private final static int MAX_SIZE = 1024 * 1024 * 5;
	public static File logFile;

	private static String getCurrentDate() {
		return new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date());
	}

	public static void log(String name, String value) {
		log("[" + name + "=" + value + "]");
	}

	public static void log(String log) {
		BufferedWriter writer = null;
		try {
			writer = new BufferedWriter(new OutputStreamWriter(new FileOutputStream(logFile.getAbsolutePath(), true)));
			StringBuffer format = new StringBuffer();
			format.append(getCurrentDate());
			format.append(" ");
			format.append(log);
			format.append("\r\n");
			writer.write(format.toString());
		} catch (Exception e) {
		} finally {
			if (writer != null) {
				try {
					writer.close();
				} catch (Exception e) {
				}
			}
		}
	}

	public static File getLogFile() {
		return logFile;
	}

	public static void setLogFile(File file) {
		logFile = file;
		if (logFile.exists()) {
			if (logFile.length() > MAX_SIZE) {
				logFile.delete();
			}
		}
	}
}
