package OSOP;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Dimension;
import java.awt.Font;
import java.awt.GridLayout;
import java.awt.Toolkit;
import java.util.Vector;

import javax.swing.BorderFactory;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JProgressBar;
import javax.swing.border.EtchedBorder;

public class ProgressBarFrame extends JFrame {
	private JProgressBar progressBar;
	private JLabel[] messageLabel;
	 
	public ProgressBarFrame(MenuExecutorChaine menuExecutors) {
		super(OSOPAction.MESSAGE_DIALOG_TITLE);
		JPanel messagePanel = new JPanel(new GridLayout(1, 1));
		messagePanel.setBorder(BorderFactory.createTitledBorder(BorderFactory.createEtchedBorder(EtchedBorder.LOWERED), OSOPAction.MESSAGE_DIALOG_TITLE + " Tasks"));
		
		JPanel messageContentPanel = new JPanel(new GridLayout(menuExecutors.size(), 1));
		this.messageLabel = new JLabel[menuExecutors.size()];
		for (int i = 0; i < menuExecutors.size(); i++) {
			MenuExecutor executor = (MenuExecutor) menuExecutors.get(i);
			this.messageLabel[i] = new JLabel(executor.toString());
			messageContentPanel.add(this.messageLabel[i]);
		}
		messageContentPanel.setBorder(BorderFactory.createEmptyBorder(2, 2, 2, 2));
		messagePanel.add(messageContentPanel);
		
		this.progressBar = new JProgressBar(0, 60);
		progressBar.setStringPainted(true);		
		progressBar.setString("");
		
		JPanel contentPanel = new JPanel(new BorderLayout());
		contentPanel.add(messagePanel, BorderLayout.CENTER);
		contentPanel.add(progressBar, BorderLayout.SOUTH);
		contentPanel.setBorder(BorderFactory.createEmptyBorder(5, 5, 5, 5));
		this.setContentPane(contentPanel);
		
		int width = 400;
		int defaultHeight = 30;
		int height = (menuExecutors.size() + 1) * defaultHeight + 40;		
		this.progressBar.setPreferredSize(new Dimension(width, defaultHeight));
		
		Dimension screen = Toolkit.getDefaultToolkit().getScreenSize();
		int x = (screen.width - width) / 2;
		int y = (screen.height - height) / 2;
		this.setSize(width, height);
		this.setLocation(x, y);		
		this.setVisible(true);
		this.setResizable(false);
	}
	
	public void setValueAndMessage(Color color, int index, int value, String text, String message) {
		this.progressBar.setValue(value);
		this.messageLabel[index].setForeground(color);
		this.messageLabel[index].setText(message);
		this.progressBar.setString(text);
	}
}