package OSOP;

import junit.framework.TestCase;

public class Test extends TestCase {
	public void testReplace() {
		MenuExecutor e = new MenuExecutor();
		
		assertEquals("Build", e.replace("&Build", "&", ""));		
		assertEquals("Build", e.replace("Build&", "&", ""));
		assertEquals("Build", e.replace("&Build&", "&", ""));
		assertEquals("Build", e.replace("&&&Build&", "&", ""));
		assertEquals("", e.replace("&&&&", "&", ""));
	}
	
	public void testCommandListToString() {
		MenuExecutor e = new MenuExecutor();
		
		e.setCommandList(new String[] {"&Build", "a&a"});
		assertEquals("Build->aa", e.commandListToString());
		
		e.setCommandList(new String[] {"&Build&&"});
		assertEquals("Build", e.commandListToString());
		
		e.setCommandList(null);
		assertEquals(null, e.commandListToString());
	}
	
	public void testGetElpasedTime() {
		MenuExecutor e = new MenuExecutor();
		assertEquals("0ms", e.getElpasedTime(0));
		assertEquals("20ms", e.getElpasedTime(20));
		assertEquals("1sec", e.getElpasedTime(1000));
		assertEquals("1min", e.getElpasedTime(60*1000));
		assertEquals("1min 1ms", e.getElpasedTime(60*1000 + 1));
		assertEquals("2mins 1ms", e.getElpasedTime(2*60*1000 + 1));
		assertEquals("2mins 1sec", e.getElpasedTime(2*60*1000 + 1000));
		assertEquals("2mins 2secs", e.getElpasedTime(2*60*1000 + 2000));
		assertEquals("2mins 2secs 333ms", e.getElpasedTime(2*60*1000 + 2000 + 333));
	}
}
